BlobW (SQLite Java Wrapper)
Keywords: SQLite.BlobW class

Overview | Package | Class | Tree
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SQLite
Class BlobW

    java.lang.Object
      java.io.OutputStream
          SQLite.BlobW

class BlobW
extends OutputStream

Internal class implementing java.io.OutputStream on SQLite 3.4.0 incremental blob I/O interface.

Field Summary
`private Blob` | `blob` Blob instance
`private int` | `pos` Read position, file pointer.

Constructor Summary
`(package private)` | `BlobW(Blob blob)` Contruct OutputStream from blob instance.

Method Summary
`void` | `close()` Close this blob OutputStream.
`void` | `flush()` Flush blob; dummy to satisfy OutputStream class.
`void` | `write(byte[] b)` Write blob data.
`void` | `write(byte[] b, int off, int len)` Write blob data.
`void` | `write(int v)` Write blob data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### blob

    private Blob blob

  Blob instance

### pos

    private int pos

  Read position, file pointer.

Constructor Detail

### BlobW

    BlobW(Blob blob)

  Contruct OutputStream from blob instance.

Method Detail

### close

    public void close()
               throws IOException

  Close this blob OutputStream.

  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Flush blob; dummy to satisfy OutputStream class.

  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Write blob data.

  Parameters:
    `b` - byte array to be written at current position.
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Write blob data.

  Parameters:
    `b` - byte array to be written.
    `off` - offset within byte array
    `len` - length of data to be written
  Throws:
    `IOException`

### write

    public void write(int v)
               throws IOException

  Write blob data.

  Parameters:
    `v` - byte to be written at current position.
  Throws:
    `IOException`

Overview | Package | Class | Tree
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Contact: Christian Werner